Bug 60018 - rp3-config crashes with segmentation fault when trying to edit modem
rp3-config crashes with segmentation fault when trying to edit modem
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-18 23:16 EST by Philip Unger
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:10:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Unger 2002-02-18 23:16:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
I was attempting to set up ppp and used internet-druid. Checking over results
with rp3-config, it crashes with a segmentation fault on modems page after
pressing button to edit modem properties. I can edit modem just fine using
/usr/sbin/neat. Also, I cannot figure out how to  have my single modem marked as
default in rp3-config. At various points after some manual editing, editing did
work, and even showed the modem as default. I don't know how I got there or how
to get back to that point. As best I can remember, I got the segmentation fault
on my first configuration attempt directly after using internet-druid for the
very first time. This is an external modem on /dev/tty1.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use internet-druid to set up a ppp connection.
2.Open rp3-config and go to modems page.
3.Select the modem and press "Edit" button.
	

Actual Results:  Segmentation fault

Expected Results:  No fault

Additional info:

At various points, in trying to set up a ppp connection to my ISP, I manually
edited some of the files in:

/etc/sysconfig/networking/devices/
/etc/sysconfig/networking/profiles/default/
/etc/sysconfig/network-scripts/

Currently, I have ppp set up and working using rp3, however, rp3-config crashes
as described, and the single modem does not show as being the default modem.
Comment 1 Bill Nottingham 2006-08-07 14:48:26 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:10:50 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.